Get report configs created in the organization.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Custom Reports under the Custom Reports category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/reports/configs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"columns": [
{
"dataType": "string",
"name": "Asset: Id",
"unit": "kilometersPerHour"
}
],
"datasetId": "Assets",
"id": "4f71fd67-54f0-41de-991c-ee1e031134d1",
"name": "Asset Report",
"filters": {
"primaryTimeRange": {
"endTime": "2019-06-13T21:08:25Z",
"startTime": "2019-06-13T19:08:25Z"
}
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
Maximum number of configs to return
1 <= x <= 100The list of report config IDs to retrieve. Include up to 10 report config IDs. If not provided, all configs will be returned.
curl --request GET \
--url https://api.samsara.com/reports/configs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"columns": [
{
"dataType": "string",
"name": "Asset: Id",
"unit": "kilometersPerHour"
}
],
"datasetId": "Assets",
"id": "4f71fd67-54f0-41de-991c-ee1e031134d1",
"name": "Asset Report",
"filters": {
"primaryTimeRange": {
"endTime": "2019-06-13T21:08:25Z",
"startTime": "2019-06-13T19:08:25Z"
}
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}